Bug 321260 - combined fragment has incomplete color settings
Summary: combined fragment has incomplete color settings
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Unclassified
Component: general (show other bugs)
Version: Git
Platform: Other All
: NOR normal (vote)
Target Milestone: ---
Assignee: Umbrello Development Group
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-17 10:55 UTC by Ralf Habacker
Modified: 2013-06-26 10:22 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.10.90


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Habacker 2013-06-17 10:55:56 UTC
Changing the line color of a combined fragment widget in sequence diagrams affects only the  border, not the internal lines. 


Reproducible: Always

Steps to Reproduce:
1. create sequence diagram
2. add combined fragment
3. change color of combined fragment
Actual Results:  
on the the border lines are displayed in the changed color. 

Expected Results:  
All lines of the combined fragment should display the color set before.
Comment 1 Ralf Habacker 2013-06-17 11:09:36 UTC
Git commit bcf1ef397484db485aded74e421ade4cec331849 by Ralf Habacker.
Committed on 17/06/2013 at 13:05.
Pushed by habacker into branch 'master'.

Fixed "Combined fragment has incomplete color settings".

M  +5    -1    umbrello/widgets/combinedfragmentwidget.cpp

http://commits.kde.org/umbrello/bcf1ef397484db485aded74e421ade4cec331849